#ifndef __PERSONALIEN_H__
#define __PERSONALIEN_H__

typedef struct _Personalien Personalien;

typedef enum{
  PERSONALIEN_M  = 1,
  PERSONALIEN_W  = 1 <<  1,
}PersonalienFlags;

struct _Personalien
{
  unsigned int flags;

  char *vorname;
  char *nachname;
  char *strasse;
  int hausnummer;
  char *ort;
  int postleitzahl;
  char *email;
  int telefon_nummer;
};

void personalien_zeige(Personalien *personalien);

Personalien* personalien_neu();

#endif /*__PERSONALIEN_H__*/
